@Generated(value="org.apache.camel.maven.packaging.EndpointDslMojo") public interface XJEndpointBuilderFactory
| Modifier and Type | Interface and Description |
|---|---|
static interface |
XJEndpointBuilderFactory.AdvancedXJEndpointBuilder
Advanced builder for endpoint for the XJ component.
|
static class |
XJEndpointBuilderFactory.TransformDirection
Proxy enum for
org.apache.camel.component.xj.TransformDirection enum. |
static interface |
XJEndpointBuilderFactory.XJBuilders |
static interface |
XJEndpointBuilderFactory.XJEndpointBuilder
Builder for endpoint for the XJ component.
|
static class |
XJEndpointBuilderFactory.XsltOutput
Proxy enum for
org.apache.camel.component.xslt.XsltOutput
enum. |
| Modifier and Type | Method and Description |
|---|---|
static XJEndpointBuilderFactory.XJEndpointBuilder |
xj(String path)
XJ (camel-xj)
Transforms json/xml message back and forth using a XSLT.
|
static XJEndpointBuilderFactory.XJEndpointBuilder xj(String path)
xj:resourceUri
Path parameter: resourceUri (required)
Path to the template. The following is supported by the default
URIResolver. You can prefix with: classpath, file, http, ref, or bean.
classpath, file and http loads the resource using these protocols
(classpath is default). ref will lookup the resource in the registry.
bean will call a method on a bean to be used as the resource. For bean
you can specify the method name after dot, eg bean:myBean.myMethodApache Camel